Page MenuHomePhabricator

Pull out a lot of the UploadWizard-related libraries into separate RL modules
Closed, ResolvedPublic

Description

See e.g. resources/mw.(units|canvas|Log|UtilitiesTime|ErrorDialog).js, most things in the resources/jquery directory, probably some of the stuff that's in the transport libraries, and so on. We could almost certainly put them in their own modules, maybe load them conditionally (if firefogg isn't enabled, why load the bloody library?), maybe even pull some of the more useful things into core and/or delete them in favour of the existing core utilities.


Version: master
Severity: enhancement

Details

Reference
bz49991

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:50 AM
bzimport set Reference to bz49991.
bzimport added a subscriber: Unknown Object (MLST).

Rahul, this is the bug that will be relevant if you decide to pull out the API upload libraries to separate modules. I can finish it up if you only start it :)

Change 79547 had a related patch set uploaded by Rahul21:
Seperating different UploadWizrd-related libraries into respective RL modules

https://gerrit.wikimedia.org/r/79547

Change 79547 merged by jenkins-bot:
Surface upload libraries as RL modules

https://gerrit.wikimedia.org/r/79547

The above change is a start, but there's still a lot of work to do.

Change 80570 had a related patch set uploaded by Rahul21:
Separated the module "ext.uploadWizard.page"

https://gerrit.wikimedia.org/r/80570

Change 80570 merged by jenkins-bot:
Separated the module "ext.uploadWizard.page"

https://gerrit.wikimedia.org/r/80570

Mark: Patch was merged month ago - is there more work left here, or can you close this ticket as RESOLVED FIXED?

There is *so* much more work to do.

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:12 PM
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:12 PM
matmarex closed this task as Resolved.Oct 26 2015, 1:37 PM
matmarex claimed this task.
matmarex added a subscriber: matmarex.

We killed a few of these in the last months.